net.sf.jasperreports.ant

## Class JRAntXmlExportTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - net.sf.jasperreports.ant.JRBaseAntTask
        - - net.sf.jasperreports.ant.JRAntXmlExportTask

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

      public class JRAntXmlExportTask
      extends JRBaseAntTask

  Ant task for batch-exporting generated report files. Works like the built-in `javac` Ant task.

  This task can take the following arguments:

  - src
  - destdir
  Of these arguments, the `src` and `destdir` are required. When this task executes, it will recursively scan the `src` and `destdir` looking for generated report files to export. This task makes its export decision based on timestamp and only JRPRINT files that have no corresponding file in the target directory or where the destination report design file is older than the source file will be exported.
  Version:
    $Id: JRAntXmlExportTask.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.ant.JRBaseAntTask

      `jasperReportsContext`

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `fileset`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAntXmlExportTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkParameters()` Checks that all required attributes have been set and that the supplied values are valid.
    `org.apache.tools.ant.types.Path` | `createClasspath()` Adds a path to the classpath.
    `org.apache.tools.ant.types.Path` | `createSrc()` Adds a path for export source.
    `void` | `execute()` Executes the task.
    `protected void` | `export()` Performs the export of the selected report files.
    `protected void` | `scanDir(java.io.File srcdir, java.io.File destdir, java.lang.String[] files)` Scans the directory looking for source files to be exported.
    `protected void` | `scanSrc()` Scans the source directories looking for source files to be exported.
    `void` | `setDestdir(java.io.File destdir)` Sets the destination directory into which the report files should be exported.
    `void` | `setSrcdir(org.apache.tools.ant.types.Path srcdir)` Sets the source directories to find the XML report design files.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRAntXmlExportTask

          public JRAntXmlExportTask()

  - ### Method Detail

    - #### setSrcdir

          public void setSrcdir(org.apache.tools.ant.types.Path srcdir)

      Sets the source directories to find the XML report design files.
      Parameters:
        `srcdir` - source path

    - #### createSrc

          public org.apache.tools.ant.types.Path createSrc()

      Adds a path for export source.
      Returns:
        source path

    - #### setDestdir

          public void setDestdir(java.io.File destdir)

      Sets the destination directory into which the report files should be exported.
      Parameters:
        `destdir` - destination directory

    - #### createClasspath

          public org.apache.tools.ant.types.Path createClasspath()

      Adds a path to the classpath.
      Returns:
        classpath to use when updating the report

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Executes the task.
      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### checkParameters

          protected void checkParameters()
                                  throws org.apache.tools.ant.BuildException

      Checks that all required attributes have been set and that the supplied values are valid.
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### scanSrc

          protected void scanSrc()
                          throws org.apache.tools.ant.BuildException

      Scans the source directories looking for source files to be exported.
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### scanDir

          protected void scanDir(java.io.File srcdir,
                     java.io.File destdir,
                     java.lang.String[] files)

      Scans the directory looking for source files to be exported. The results are returned in the instance variable `reportFilesMap`.
      Parameters:
        `srcdir` - source directory
        `destdir` - destination directory
        `files` - included file names

    - #### export

          protected void export()
                         throws org.apache.tools.ant.BuildException

      Performs the export of the selected report files.
      Throws:
        `org.apache.tools.ant.BuildException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com